/* eslint-disable max-len */

import * as React from "react";
import { SVGProps } from "react";

const QuestionIcon = (props: SVGProps<SVGSVGElement>) => (
    <svg {...props} xmlns="http://www.w3.org/2000/svg" width={18} height={20} fill="none">
        <path
            fill="#707D99"
            d="M16.313 9.75c0-2.602-1.407-4.992-3.657-6.328-2.285-1.3-5.062-1.3-7.312 0C3.059 4.758 1.687 7.148 1.687 9.75a7.32 7.32 0 0 0 3.657 6.363c2.25 1.301 5.027 1.301 7.312 0 2.25-1.336 3.656-3.726 3.656-6.363ZM0 9.75c0-3.2 1.688-6.152 4.5-7.77 2.777-1.617 6.188-1.617 9 0C16.277 3.598 18 6.55 18 9.75a9.02 9.02 0 0 1-4.5 7.805c-2.813 1.617-6.223 1.617-9 0C1.687 15.938 0 12.985 0 9.75Zm5.941-3.164A1.964 1.964 0 0 1 7.805 5.25h2.039c1.23 0 2.25 1.02 2.25 2.25 0 .773-.457 1.512-1.125 1.898l-1.125.668c-.035.457-.387.809-.844.809-.492 0-.844-.352-.844-.844v-.457c0-.316.14-.597.422-.738l1.547-.879a.549.549 0 0 0 .281-.457c0-.316-.246-.527-.562-.527h-2.04c-.105 0-.21.07-.245.175l-.036.036c-.14.457-.632.668-1.054.527a.878.878 0 0 1-.528-1.09v-.035Zm1.934 6.539C7.875 12.527 8.367 12 9 12c.598 0 1.125.527 1.125 1.125 0 .633-.527 1.125-1.125 1.125a1.11 1.11 0 0 1-1.125-1.125Z"
        />
    </svg>
);
export default QuestionIcon;
